Name:           makeself
Version:        2.4.3
Release:        %mkrel 1
Summary:        Make self-extractable archives on Unix
Group:          Development/Other
License:        GPLv2+
URL:            http://%{name}.io/
Source:         http://github.com/megastep/%{name}/archive/release-%{version}/%{name}-release-%{version}.tar.xz
Patch0:         move_header.patch
BuildArch:      noarch
BuildRequires:  glibc

Requires:       gzip

Requires:    gnupg
Requires:    openssl
Requires:    bzip2
Requires:    lz4
Requires:    xz
Requires:    zstd

%description
makeself.sh is a shell script that generates a self-extractable
tar.gz archive from a directory. The resulting file appears as a shell
script, and can be launched as is. The archive will then uncompress
itself to a temporary directory and an arbitrary command will be
executed (for example an installation script). This is pretty similar
to archives generated with WinZip Self-Extractor in the Windows world.

%prep
%setup -q -n %{name}-release-%{version}
%apply_patches

%build
iconv -f iso8859-1 -t utf-8 %{name}.1 > %{name}.1.conv && mv -f %{name}.1.conv %{name}.1

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}%{_mandir}/man1

install -p -m 755 %{name}.sh %{buildroot}%{_bindir}/%{name}
install -p -m 644 %{name}-header.sh %{buildroot}%{_libexecdir}
install -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1

%files
%{_bindir}/*
%{_libexecdir}/*
%{_mandir}/man1/*


%changelog
* Thu Jul 29 2021 tex - 2.4.3-1pclos2021
-  create pkg
